Bug 167971 - It always adds "wordpress/xmlrpc.php" to the xml-rpc url for Wordpress blogs
It always adds "wordpress/xmlrpc.php" to the xml-rpc url for Wordpress blogs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-blog (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-09 17:24 EDT by Raoul
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-09 17:58:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raoul 2005-09-09 17:24:02 EDT
Description of problem:
When selecting "Self-Run WordPress" as a blog-type in preferences it always adds
"wordpress/xmlrpc.php" at the end of the blog base URL. So the program cannot
find the actual xmlrpc.php file and gives an error message when trying to post
or lookup blogs.

Version-Release number of selected component (if applicable):
0.8-9.FC4

How reproducible:
Just select 

Steps to Reproduce:
Just select "Self-Run WordPress" as blog-type and after filling the
xml-rpc_url/user/pass try to post or lookup blogs.

  
Actual results:


Expected results:


Additional info: You can still post to WordPress blogs by selecting a compatible
blog-type, like "Self-Run Movable Type".
Comment 1 Brian Pepple 2005-09-09 17:58:47 EDT
That is the expected behavior.  It uses the default setting for a typical
Wordpress installation.  If you set-up a non-standard wordpress installation,
you should use a Self-Run Type.  Refer to
http://bugzilla.gnome.org/show_bug.cgi?id=156855
Comment 2 Raoul 2005-09-10 07:03:32 EDT
Well, sorry but I cannot agree with this. :)
When I first read the option "Base blog URL", I filled in the URL to the root
directory of wordpress and most of the people would act the same way. Appending
the "wordpress/xmlrpc.php" is too much convenience and it could confuse some
people. Appending only the "xmlrpc.php" part would be more effective I think.

Note You need to log in before you can comment on or make changes to this bug.